/*------- DEFAULTS ------*/
html, body {
    overflow:hidden;
}

pre, code {
    white-space:pre-wrap;
}

img {
    vertical-align:middle;
    max-width:100%;
}

.flex, [flex], [icon-row]{
    display:flex;
    align-items:center;
}

.maain {
    display:flex;
}

.navlinks a, [popup-img-cont], .dis-close, .character-list {
    display:flex;
    align-items:center;
    justify-content:center;
}

[menu-character], [popup-img-cont], [icon-row] .las {
    flex-shrink:0;
}

[menu-character] img, [popup-img-cont] img {
    max-width:initial;
}

/*------- LARGE FLOATING TITLE ADJUST ------*/
.large-floating-title {
    top:initial!important;
    bottom:0;
    margin:auto;
    left:0;right:0;
}

/*------- HIDE STARTER HTML (user input) ------*/
.character-list [hover-text],
.character-list [image-url]{
    display:none;
}

[large-floating-title], [character-box]{
    display:none;
}

/*------- SKELETON ------*/
.ovcnt {
    position:fixed;
    top:0;left:0;
    width:100vw;
    height:100vh;
    display:none;
    z-index:10;
}

.ovcnt:before {
    content:"";
    position:absolute;
    top:0;left:0;
    width:100%;
    height:100%;
    background:var(--Overlay-Color);
    opacity:calc(100% - var(--Overlay-Transparency));
}

.maisnon {
    position:relative;
    width:100%;
    height:100%;
    display:flex;
    align-items:center;
    justify-content:center;
    z-index:3;
}

/*------- POPUP BOX STUFF ------*/
[popup-img-cont] + .mt-evst {
    margin-left:var(--Popup-Image-Right-Gap);
}

.mt-evst {
    flex:1;
    padding-top:3px;
    height:var(--Popup-Image-Height);
    padding-right:var(--Scrollbar-Gap);
    box-sizing:border-box;
    overflow:auto;
}

/*----- METER BAR STATS -----*/
[meter-bars]{
    display:table;
    width:100%;
    border-collapse:collapse;
}

[bar-table-row]{
    display:table-row;
}

[bar-table-row] + [bar-table-row]{
    border-top:var(--Meter-Bar-Row-Spacing) solid transparent;
}

[bar-cont-cell]{
    display:table-cell;
    padding-left:var(--Meter-Bar-Label-Gap);
    width:100%;
}

/*------- NAVLNKS / BOTTOM ------*/
.booba {
    position:fixed;
    bottom:0;left:0;
    width:100%;
    z-index:6;
}

.cows-ring-endlessly-in-tandem {
    position:absolute;
    right:0;margin-right:var(--Navlinks-Edge-Offset);
    margin-top:calc(0px - 8px - var(--Navlinks-Edge-Offset) - (5px * 2));
    display:block;
    padding:5px 8px;
    background:var(--Navlinks-Background);
    border-radius:2px;
    font-family:public sans;
    font-size:8px;
    text-transform:uppercase;
    letter-spacing:1px;
    color:var(--Navlinks-Icon-Color);
    line-height:1em;
}
